jp.cssj.cti2.helpers

## Class DefaultMetaSource

- java.lang.Object
- - jp.cssj.cti2.helpers.DefaultMetaSource

- All Implemented Interfaces:
    MetaSource

  Deprecated.
  jp.cssj.resolver.helpers.MetaSourceImplを使ってください。

      public class DefaultMetaSource
      extends Object
      implements MetaSource

  デフォルトのデータのメタ情報です。
  Version:
    $Id: DefaultMetaSource.java 1552 2018-04-26 01:43:24Z miyabe $
  Author:
    MIYABE Tatsuhiko

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMetaSource()` Deprecated.
    `DefaultMetaSource(Source source)` Deprecated.
    `DefaultMetaSource(URI uri)` Deprecated.
    `DefaultMetaSource(URI uri, String mimeType)` Deprecated.
    `DefaultMetaSource(URI uri, String mimeType, String encoding)` Deprecated.
    `DefaultMetaSource(URI uri, String mimeType, String encoding, long length)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncoding()` Deprecated.
    `long` | `getLength()` Deprecated.
    `String` | `getMimeType()` Deprecated.
    `URI` | `getURI()` Deprecated.
    `void` | `setEncoding(String encoding)` Deprecated.
    `void` | `setLength(long length)` Deprecated.
    `void` | `setMimeType(String mimeType)` Deprecated.
    `void` | `setURI(URI uri)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMetaSource

          public DefaultMetaSource()

      Deprecated.

    - #### DefaultMetaSource

          public DefaultMetaSource(URI uri)

      Deprecated.

    - #### DefaultMetaSource

          public DefaultMetaSource(URI uri,
                                   String mimeType)

      Deprecated.

    - #### DefaultMetaSource

          public DefaultMetaSource(URI uri,
                                   String mimeType,
                                   String encoding)

      Deprecated.

    - #### DefaultMetaSource

          public DefaultMetaSource(URI uri,
                                   String mimeType,
                                   String encoding,
                                   long length)

      Deprecated.

    - #### DefaultMetaSource

          public DefaultMetaSource(Source source)
                            throws IOException

      Deprecated.
      Throws:
        `IOException`

  - ### Method Detail

    - #### getURI

          public URI getURI()

      Deprecated.
      Specified by:
        `getURI` in interface `MetaSource`

    - #### setURI

          public void setURI(URI uri)

      Deprecated.

    - #### getEncoding

          public String getEncoding()

      Deprecated.
      Specified by:
        `getEncoding` in interface `MetaSource`

    - #### setEncoding

          public void setEncoding(String encoding)

      Deprecated.

    - #### getMimeType

          public String getMimeType()

      Deprecated.
      Specified by:
        `getMimeType` in interface `MetaSource`

    - #### setMimeType

          public void setMimeType(String mimeType)

      Deprecated.

    - #### getLength

          public long getLength()

      Deprecated.
      Specified by:
        `getLength` in interface `MetaSource`

    - #### setLength

          public void setLength(long length)

      Deprecated.

Copyright © 2018 座間ソフト. All rights reserved.